# update rarian database
if [ -x usr/bin/rarian-sk-update ]; then
  usr/bin/rarian-sk-update 1> /dev/null 2> /dev/null
fi

# update mime database
if [ -x usr/bin/update-mime-database ]; then
  usr/bin/update-mime-database usr/share/mime 1> /dev/null 2> /dev/null
fi

# update desktop entries
if [ -x usr/bin/update-desktop-database ]; then
  usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
fi

# update hicolor icons
if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
	rm -f usr/share/icons/hicolor/icon-theme.cache
fi
usr/bin/gtk-update-icon-cache -f -q usr/share/icons/hicolor 1>/dev/null 2>/dev/null

# Restart gconfd-2 if running to reload new gconf settings
if ps acx | grep -q gconfd-2 ; then
        killall -HUP gconfd-2 ;
fi

( cd usr/lib64 ; rm -rf libklinkstatuscommon.so )
( cd usr/lib64 ; ln -sf libklinkstatuscommon.so.4 libklinkstatuscommon.so )
( cd usr/lib64 ; rm -rf libklinkstatuscommon.so.4 )
( cd usr/lib64 ; ln -sf libklinkstatuscommon.so.4.0.0 libklinkstatuscommon.so.4 )
( cd usr/lib64 ; rm -rf libkommanderwidgets.so )
( cd usr/lib64 ; ln -sf libkommanderwidgets.so.4 libkommanderwidgets.so )
( cd usr/lib64 ; rm -rf libkommanderwidgets.so.4 )
( cd usr/lib64 ; ln -sf libkommanderwidgets.so.4.2.0 libkommanderwidgets.so.4 )
( cd usr/lib64 ; rm -rf libkommandercore.so.4 )
( cd usr/lib64 ; ln -sf libkommandercore.so.4.2.0 libkommandercore.so.4 )
( cd usr/lib64 ; rm -rf libkommandercore.so )
( cd usr/lib64 ; ln -sf libkommandercore.so.4 libkommandercore.so )
( cd usr/share/doc/HTML/en/kimagemapeditor ; rm -rf common )
( cd usr/share/doc/HTML/en/kimagemapeditor ; ln -sf /usr/share/doc/HTML/en/common common )
( cd usr/share/doc/HTML/en/klinkstatus ; rm -rf common )
( cd usr/share/doc/HTML/en/klinkstatus ; ln -sf /usr/share/doc/HTML/en/common common )
( cd usr/share/doc/HTML/en/kfilereplace ; rm -rf common )
( cd usr/share/doc/HTML/en/kfilereplace ; ln -sf /usr/share/doc/HTML/en/common common )
